Index: c/src/lib/libcpu/powerpc/ChangeLog
===================================================================
--- c/src/lib/libcpu/powerpc/ChangeLog	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/ChangeLog	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -1,2 +1,23 @@
+2003-09-04	Joel Sherrill <joel@OARcorp.com>
+
+	* mpc6xx/clock/c_clock.c, mpc6xx/clock/c_clock.h,
+	mpc6xx/exceptions/raw_exception.c, mpc6xx/exceptions/raw_exception.h,
+	mpc6xx/mmu/bat.c, mpc6xx/mmu/bat.h, mpc6xx/mmu/mmuAsm.S,
+	mpc6xx/timer/timer.c, mpc8260/clock/clock.c,
+	mpc8260/console-generic/console-generic.c, mpc8260/cpm/brg.c,
+	mpc8260/exceptions/raw_exception.c,
+	mpc8260/exceptions/raw_exception.h, mpc8260/include/cpm.h,
+	mpc8260/include/mmu.h, mpc8260/mmu/mmu.c, mpc8260/timer/timer.c,
+	mpc8xx/clock/clock.c, mpc8xx/console-generic/console-generic.c,
+	mpc8xx/exceptions/raw_exception.c, mpc8xx/exceptions/raw_exception.h,
+	mpc8xx/include/cpm.h, mpc8xx/include/mmu.h, mpc8xx/mmu/mmu.c,
+	mpc8xx/timer/timer.c, ppc403/clock/clock.c,
+	ppc403/console/console.c.polled, ppc403/timer/timer.c,
+	rtems/powerpc/debugmod.h, shared/include/byteorder.h,
+	shared/include/cpuIdent.c, shared/include/cpuIdent.h,
+	shared/include/io.h, shared/include/mmu.h, shared/include/page.h,
+	shared/include/pgtable.h, shared/include/spr.h: URL for license
+	changed.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libcpu/powerpc/mpc6xx/clock/c_clock.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/clock/c_clock.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/clock/c_clock.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -12,5 +12,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Modified to support the MPC750.
Index: c/src/lib/libcpu/powerpc/mpc6xx/clock/c_clock.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/clock/c_clock.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/clock/c_clock.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -12,5 +12,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Modified to support the MPC750.
Index: c/src/lib/libcpu/powerpc/mpc6xx/exceptions/raw_exception.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/exceptions/raw_exception.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/exceptions/raw_exception.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -17,5 +17,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc6xx/exceptions/raw_exception.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/exceptions/raw_exception.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/exceptions/raw_exception.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -19,5 +19,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/bat.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/bat.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/mmu/bat.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/bat.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/bat.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/mmu/bat.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/mmuAsm.S
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/mmuAsm.S	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/mmu/mmuAsm.S	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *	
  *  T. Straumann - 11/2001: added support for 7400 (no AltiVec yet)
Index: c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -10,5 +10,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8260/clock/clock.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/clock/clock.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/clock/clock.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -31,5 +31,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8260/console-generic/console-generic.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/console-generic/console-generic.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/console-generic/console-generic.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -47,5 +47,5 @@
  *  found in the file LICENSE in this distribution or at
  *
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8260/cpm/brg.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/cpm/brg.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/cpm/brg.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -29,5 +29,5 @@
  *  found in the file LICENSE in this distribution or at
  *
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8260/exceptions/raw_exception.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/exceptions/raw_exception.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/exceptions/raw_exception.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -17,5 +17,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc8260/exceptions/raw_exception.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/exceptions/raw_exception.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/exceptions/raw_exception.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -20,5 +20,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc8260/include/cpm.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/include/cpm.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/include/cpm.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libcpu/powerpc/mpc8260/include/mmu.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/include/mmu.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/include/mmu.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libcpu/powerpc/mpc8260/mmu/mmu.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/mmu/mmu.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/mmu/mmu.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -12,5 +12,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libcpu/powerpc/mpc8260/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/timer/timer.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8260/timer/timer.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -43,5 +43,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8xx/clock/clock.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/clock/clock.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/clock/clock.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -31,5 +31,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8xx/console-generic/console-generic.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/console-generic/console-generic.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/console-generic/console-generic.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -41,5 +41,5 @@
  *  found in the file LICENSE in this distribution or at
  *
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/mpc8xx/exceptions/raw_exception.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/exceptions/raw_exception.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/exceptions/raw_exception.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -14,5 +14,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc8xx/exceptions/raw_exception.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/exceptions/raw_exception.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/exceptions/raw_exception.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -16,5 +16,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/mpc8xx/include/cpm.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/include/cpm.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/include/cpm.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libcpu/powerpc/mpc8xx/include/mmu.h
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/include/mmu.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/include/mmu.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libcpu/powerpc/mpc8xx/mmu/mmu.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/mmu/mmu.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/mmu/mmu.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libcpu/powerpc/mpc8xx/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/timer/timer.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/mpc8xx/timer/timer.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -38,5 +38,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/ppc403/clock/clock.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/clock/clock.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/ppc403/clock/clock.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -31,5 +31,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Modifications for PPC405GP by Dennis Ehlin
Index: c/src/lib/libcpu/powerpc/ppc403/console/console.c.polled
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/console/console.c.polled	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/ppc403/console/console.c.polled	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -24,5 +24,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/ppc403/timer/timer.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/timer/timer.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/ppc403/timer/timer.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -29,5 +29,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Modifications for PPC405GP by Dennis Ehlin
Index: c/src/lib/libcpu/powerpc/rtems/powerpc/debugmod.h
===================================================================
--- c/src/lib/libcpu/powerpc/rtems/powerpc/debugmod.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/rtems/powerpc/debugmod.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -30,5 +30,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *
Index: c/src/lib/libcpu/powerpc/shared/include/byteorder.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/byteorder.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/byteorder.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -12,5 +12,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/cpuIdent.c
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/cpuIdent.c	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/cpuIdent.c	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/cpuIdent.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/cpuIdent.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/cpuIdent.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/io.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/io.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/io.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -12,5 +12,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/mmu.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/mmu.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/mmu.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/page.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/page.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/page.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/pgtable.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/pgtable.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/pgtable.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/powerpc/shared/include/spr.h
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/spr.h	(revision 2f10af44fad9051417368ee9c082e558f9071157)
+++ c/src/lib/libcpu/powerpc/shared/include/spr.h	(revision 21e1c448ba64e8aae10aee79ef1ed961f2fd6143)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$