Index: automake/lib.am
===================================================================
--- automake/lib.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ automake/lib.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,18 @@
+##
+##  $Id$
+##
+
+include $(RTEMS_ROOT)/make/leaf.cfg
+
+define make-library
+$(RM) $@
+$(AR) $(ARFLAGS) $@ $^
+$(RANLIB) $@
+endef
+
+TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib
+
+$(PROJECT_INCLUDE)/lib:
+	@$(mkinstalldirs) $@
+
+.PRECIOUS: $(LIB)
Index: c/src/exec/librpc/src/Makefile.am
===================================================================
--- c/src/exec/librpc/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/exec/librpc/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,36 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = librpc
+LIB = ${ARCH}/${LIBNAME}.a
+
+# C and C++ source names, if any, go here -- minus the .c or .cc
+C_FILES = rpc_callmsg.c rpc_prot.c svc.c svc_auth.c svc_udp.c xdr.c \
+    xdr_array.c xdr_mem.c
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+SRCS = $(C_FILES)
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+AM_CFLAGS += $(LIBC_DEFINES)
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librdbg/src/i386/any/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/any/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/librdbg/src/i386/any/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,98 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+VPATH = @srcdir@:@srcdir@/..:@srcdir@/../..
+
+LIBNAME = librdbg
+LIB = ${ARCH}/${LIBNAME}.a
+
+# C and C++ source names, if any, go here -- minus the .c or .cc
+C_FILES = rdbg.c servcon.c servbkpt.c servrpc.c excep.c excep_f.c servtgt.c \
+    servtsp.c servutil.c _servtgt.c rdbg_f.c ptrace.c
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+# Asm source names, if any, go here -- minus the .s 
+S_FILES = rdbg_cpu_asm.S
+S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
+
+# Generated C source names, if any, go here -- minus the .c
+GEN_C_FILES = remdeb_xdr.c remdeb_svc.c
+GEN_C_O_FILES = $(GEN_C_PIECES:%.c=${ARCH}/%.o)
+
+# H source names, if any, go here -- minus the .h
+H_FILES = remdeb.h
+
+# X source names
+X_FILES = remdeb.x remdeb_f.x
+
+SRCS = $(C_FILES) $(S_FILES) $(GEN_C_FILES) $(H_FILES)
+OBJS = $(GEN_C_O_FILES) $(C_O_FILES) $(S_O_FILES)
+
+RPCGEN = @RPCGEN@
+AWK = @AWK@
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+PREINSTALL_FILES = \
+$(PROJECT_INCLUDE)/rdbg \
+$(PROJECT_INCLUDE)/rdbg/remdeb.h
+
+$(PROJECT_INCLUDE)/rdbg:
+	@$(mkinstalldirs) $@
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a
+
+#
+# Add local stuff here using +=
+#
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+CLEANFILES += $(LIB) $(H_FILES) $(GEN_C_FILES)
+
+FRONTEND = \"$(RTEMS_CPU)/@RTEMS_BSP@/remdeb_f.x\"
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+remdeb.h: $(X_FILES)
+	@rm -f $@
+	( pwd=`pwd`; cd $(srcdir)/../..; \
+	$(RPCGEN) -h -DFRONTEND=$(FRONTEND) \
+	  -o $$pwd/$@ remdeb.x )
+
+$(PROJECT_INCLUDE)/rdbg/remdeb.h: remdeb.h
+	$(INSTALL_DATA) $< $@
+
+remdeb_xdr.c: $(X_FILES)
+	@rm -f $@
+	( pwd=`pwd`; cd $(srcdir)/../..; \
+	$(RPCGEN) -c -DFRONTEND=$(FRONTEND) \
+	  -o $$pwd/$@ remdeb.x )
+
+remdeb_svc.c: $(X_FILES)
+	@rm -f $@ tmpSvc.c
+	( pwd=`pwd`; cd $(srcdir)/../..; \
+	$(RPCGEN) -s udp -DFRONTEND=$(FRONTEND) \
+	  -o $$pwd/tmpSvc.c remdeb.x )
+	$(AWK) -f $(srcdir)/../../awk.svc THEPROG="remdeb.h" tmpSvc.c >$@
+	@rm -f tmpSvc.c
+
+EXTRA_DIST = remdeb_f.x
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librdbg/src/i386/pc386/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/pc386/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/librdbg/src/i386/pc386/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,98 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+VPATH = @srcdir@:@srcdir@/..:@srcdir@/../..
+
+LIBNAME = librdbg
+LIB = ${ARCH}/${LIBNAME}.a
+
+# C and C++ source names, if any, go here -- minus the .c or .cc
+C_FILES = rdbg.c servcon.c servbkpt.c servrpc.c excep.c excep_f.c servtgt.c \
+    servtsp.c servutil.c _servtgt.c rdbg_f.c ptrace.c
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+# Asm source names, if any, go here -- minus the .s 
+S_FILES = rdbg_cpu_asm.S
+S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
+
+# Generated C source names, if any, go here -- minus the .c
+GEN_C_FILES = remdeb_xdr.c remdeb_svc.c
+GEN_C_O_FILES = $(GEN_C_PIECES:%.c=${ARCH}/%.o)
+
+# H source names, if any, go here -- minus the .h
+H_FILES = remdeb.h
+
+# X source names
+X_FILES = remdeb.x remdeb_f.x
+
+SRCS = $(C_FILES) $(S_FILES) $(GEN_C_FILES) $(H_FILES)
+OBJS = $(GEN_C_O_FILES) $(C_O_FILES) $(S_O_FILES)
+
+RPCGEN = @RPCGEN@
+AWK = @AWK@
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+PREINSTALL_FILES = \
+$(PROJECT_INCLUDE)/rdbg \
+$(PROJECT_INCLUDE)/rdbg/remdeb.h
+
+$(PROJECT_INCLUDE)/rdbg:
+	@$(mkinstalldirs) $@
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a
+
+#
+# Add local stuff here using +=
+#
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+CLEANFILES += $(LIB) $(H_FILES) $(GEN_C_FILES)
+
+FRONTEND = \"$(RTEMS_CPU)/@RTEMS_BSP@/remdeb_f.x\"
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIBVARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+remdeb.h: $(X_FILES)
+	@rm -f $@
+	( pwd=`pwd`; cd $(srcdir)/../..; \
+	$(RPCGEN) -h -DFRONTEND=$(FRONTEND) \
+	  -o $$pwd/$@ remdeb.x )
+
+$(PROJECT_INCLUDE)/rdbg/remdeb.h: remdeb.h
+	$(INSTALL_DATA) $< $@
+
+remdeb_xdr.c: $(X_FILES)
+	@rm -f $@
+	( pwd=`pwd`; cd $(srcdir)/../..; \
+	$(RPCGEN) -c -DFRONTEND=$(FRONTEND) \
+	  -o $$pwd/$@ remdeb.x )
+
+remdeb_svc.c: $(X_FILES)
+	@rm -f $@ tmpSvc.c
+	( pwd=`pwd`; cd $(srcdir)/../..; \
+	$(RPCGEN) -s udp -DFRONTEND=$(FRONTEND) \
+	  -o $$pwd/tmpSvc.c remdeb.x )
+	$(AWK) -f $(srcdir)/../../awk.svc THEPROG="remdeb.h" tmpSvc.c >$@
+	@rm -f tmpSvc.c
+
+EXTRA_DIST = remdeb_f.x
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librpc/src/Makefile.am
===================================================================
--- c/src/librpc/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/librpc/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,36 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = librpc
+LIB = ${ARCH}/${LIBNAME}.a
+
+# C and C++ source names, if any, go here -- minus the .c or .cc
+C_FILES = rpc_callmsg.c rpc_prot.c svc.c svc_auth.c svc_udp.c xdr.c \
+    xdr_array.c xdr_mem.c
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+SRCS = $(C_FILES)
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+AM_CFLAGS += $(LIBC_DEFINES)
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librtems++/src/Makefile.am
===================================================================
--- c/src/librtems++/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/librtems++/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,33 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = librtems++
+LIB = ${ARCH}/${LIBNAME}.a
+
+CC_FILES = rtemsEvent.cc rtemsInterrupt.cc rtemsMessageQueue.cc \
+   rtemsSemaphore.cc rtemsStatusCode.cc rtemsTask.cc rtemsTimer.cc
+CC_O_FILES = $(CC_FILES:%.cc=${ARCH}/%.o)
+
+SRCS = $(CC_FILES)
+OBJS = $(CC_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+AM_CFLAGS += $(LIBC_DEFINES)
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/tests/samples/sample.am
===================================================================
--- c/src/tests/samples/sample.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/tests/samples/sample.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,18 @@
+project_bspdir=$(PROJECT_ROOT)/@RTEMS_BSP@
+
+$(project_bspdir)/samples:
+	@$(mkinstalldirs) $@
+$(project_bspdir)/tests:
+	@$(mkinstalldirs) $@
+
+$(project_bspdir)/samples/$(SAMPLE)$(LIB_VARIANT).exe: $(PGM)
+	$(INSTALL_PROGRAM) $< $@
+
+$(project_bspdir)/tests/$(SAMPLE)$(LIB_VARIANT).exe: $(PGM)
+	$(INSTALL_PROGRAM) $< $@
+
+TMPINSTALL_FILES += \
+$(project_bspdir)/tests \
+$(project_bspdir)/tests/$(SAMPLE)$(LIB_VARIANT).exe \
+$(project_bspdir)/samples \
+$(project_bspdir)/samples/$(SAMPLE)$(LIB_VARIANT).exe
Index: c/src/tests/sptests/spsize/size.scn
===================================================================
--- c/src/tests/sptests/spsize/size.scn	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/tests/sptests/spsize/size.scn	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,1 @@
+This is a dummy file
Index: c/src/tests/tmtests/tmtests.am
===================================================================
--- c/src/tests/tmtests/tmtests.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/tests/tmtests/tmtests.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,11 @@
+project_bspdir=$(PROJECT_ROOT)/@RTEMS_BSP@
+
+$(project_bspdir)/tests:
+	@$(mkinstalldirs) $@
+
+$(project_bspdir)/tests/$(TEST)$(LIB_VARIANT).exe: $(PGM)
+	$(INSTALL_PROGRAM) $< $@
+
+TMPINSTALL_FILES += \
+$(project_bspdir)/tests \
+$(project_bspdir)/tests/$(TEST)$(LIB_VARIANT).exe
Index: c/src/wrapup/Makefile.am
===================================================================
--- c/src/wrapup/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ c/src/wrapup/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,77 @@
+#
+#  $Id$
+#
+#  build and install "glommed" librtemsall.a
+#
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../automake/lib.am
+
+LIBNAME = librtemsall
+LIB = $(PROJECT_RELEASE)/lib/$(LIBNAME)${LIB_VARIANT}.a
+
+SRCS = $(wildcard $(PROJECT_RELEASE)/lib/libbsp$(LIB_VARIANT).a) \
+    $(PROJECT_RELEASE)/lib/librtems$(LIB_VARIANT).a \
+    $(wildcard $(PROJECT_RELEASE)/lib/libposix$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/libitron$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/librpc$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/librdbg$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/libcpu$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/librtcio$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/libserialio$(LIB_VARIANT).a) \
+    $(wildcard $(PROJECT_RELEASE)/lib/libnetchip$(LIB_VARIANT).a) \
+    $(PROJECT_RELEASE)/lib/libcsupport$(LIB_VARIANT).a \
+    $(PROJECT_RELEASE)/lib/libmisc$(LIB_VARIANT).a \
+    $(wildcard $(PROJECT_RELEASE)/lib/rtems-ctor$(LIB_VARIANT).o)
+
+CLEANFILES += $(ARCH)/check
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)${LIB_VARIANT}.a
+
+all: $(ARCH) $(TMPINSTALL_FILES)
+
+install: all
+
+$(ARCH)/check: $(SRCS)
+	@$(RM) $@; touch $@;
+	@for f in $(SRCS); do \
+	  case $$f in \
+	  *.o)   echo " `basename $$f`" >> $@ \
+	    ;; \
+	  *.rel) echo " `basename $$f`" >> $@ \
+	    ;; \
+	  *.a) \
+	  ( list=`$(AR) t $$f`;\
+	    for i in $$list; do \
+	      if fgrep " $$i" $@; then \
+	        echo "ERROR -- $$i in multiple files"; exit 1; \
+	      fi;\
+	      echo " $$i" >> $@;\
+	    done; ) \
+	    ;; \
+	  esac; \
+	done;
+
+$(LIB): $(ARCH)/check
+	@for f in $(SRCS); do \
+	  case $$f in \
+	  *.o) $(AR) ru $@ $$f \
+	    ;;\
+	  *.rel) $(AR) ru $@ $$f \
+	    ;;\
+	  *.a) \
+	    (cd $(ARCH); \
+	    list=`$(AR) t ../$$f`; \
+	    $(AR) x ../$$f $$list; $(AR) ru ../$@ $$list; \
+	    $(RM) $$list ;)\
+	    ;; \
+	  esac; \
+	done;
+	@$(RANLIB) $@
+	@echo "*** Glommed $@"
+
+include $(top_srcdir)/../../automake/local.am
Index: cpukit/librpc/src/Makefile.am
===================================================================
--- cpukit/librpc/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ cpukit/librpc/src/Makefile.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,36 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = librpc
+LIB = ${ARCH}/${LIBNAME}.a
+
+# C and C++ source names, if any, go here -- minus the .c or .cc
+C_FILES = rpc_callmsg.c rpc_prot.c svc.c svc_auth.c svc_udp.c xdr.c \
+    xdr_array.c xdr_mem.c
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+SRCS = $(C_FILES)
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/lib.am
+
+AM_CFLAGS += $(LIBC_DEFINES)
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: testsuites/samples/sample.am
===================================================================
--- testsuites/samples/sample.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ testsuites/samples/sample.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,18 @@
+project_bspdir=$(PROJECT_ROOT)/@RTEMS_BSP@
+
+$(project_bspdir)/samples:
+	@$(mkinstalldirs) $@
+$(project_bspdir)/tests:
+	@$(mkinstalldirs) $@
+
+$(project_bspdir)/samples/$(SAMPLE)$(LIB_VARIANT).exe: $(PGM)
+	$(INSTALL_PROGRAM) $< $@
+
+$(project_bspdir)/tests/$(SAMPLE)$(LIB_VARIANT).exe: $(PGM)
+	$(INSTALL_PROGRAM) $< $@
+
+TMPINSTALL_FILES += \
+$(project_bspdir)/tests \
+$(project_bspdir)/tests/$(SAMPLE)$(LIB_VARIANT).exe \
+$(project_bspdir)/samples \
+$(project_bspdir)/samples/$(SAMPLE)$(LIB_VARIANT).exe
Index: testsuites/sptests/spsize/size.scn
===================================================================
--- testsuites/sptests/spsize/size.scn	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ testsuites/sptests/spsize/size.scn	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,1 @@
+This is a dummy file
Index: testsuites/tmtests/tmtests.am
===================================================================
--- testsuites/tmtests/tmtests.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ testsuites/tmtests/tmtests.am	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
@@ -0,0 +1,11 @@
+project_bspdir=$(PROJECT_ROOT)/@RTEMS_BSP@
+
+$(project_bspdir)/tests:
+	@$(mkinstalldirs) $@
+
+$(project_bspdir)/tests/$(TEST)$(LIB_VARIANT).exe: $(PGM)
+	$(INSTALL_PROGRAM) $< $@
+
+TMPINSTALL_FILES += \
+$(project_bspdir)/tests \
+$(project_bspdir)/tests/$(TEST)$(LIB_VARIANT).exe